prboom-plus-game-server_2.5.1.5+svn4531+dfsg1-1_i386.deb


Advertisement

Description

prboom-plus-game-server - enhanced clone of the classic first-person shooter Doom (server)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename prboom-plus-game-server_2.5.1.5+svn4531+dfsg1-1_i386.deb
Package name prboom-plus-game-server
Package version 2.5.1.5+svn4531+dfsg1
Package release 1
Package architecture i386
Package type deb
Category universe/games
Homepage http://prboom-plus.sourceforge.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 17.28 KB
Installed size 57.00 KB
PrBoom+ is an enhanced source port of the classic 3D first-person
shooter game Doom, first released by id Software in 1993. It uses
the Simple Direct Media layer (SDL) library and features an optional
OpenGL renderer. It is based on PrBoom, MBF and LxDoom, which in turn
are based on TeamTNT's Boom, a freely available port of Doom for DOS.
In addition to PrBoom's features, PrBoom+ offers uncapped framerate,
variable gamespeed, re-record, walkcam, chasecam, full mouselook,
FOV, and other features without loss of compatibility with the
original Doom.
This package contains the server for network games of PrBoom+.

Alternatives

Package Version Architecture Repository
prboom-plus-game-server_2.5.1.5+svn4531+dfsg1-1_amd64.deb 2.5.1.5+svn4531+dfsg1 amd64 Ubuntu Universe
prboom-plus-game-server - - -

Requires

Name Value
libc6 >= 2.4
libsdl2-net-2.0-0 >= 2.0.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package prboom-plus-game-server_2.5.1.5+svn4531+dfsg1-1_i386.deb
Source Package prboom-plus

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install prboom-plus-game-server deb package:
    # sudo apt-get install prboom-plus-game-server

Files

Path
/usr/games/prboom-plus-game-server
/usr/share/doc/prboom-plus-game-server/changelog.Debian.gz
/usr/share/doc/prboom-plus-game-server/copyright
/usr/share/man/man6/prboom-plus-game-server.6.gz

Changelog

2018-01-03 - Fabian Greffrath <fabian@debian.org>
prboom-plus (2:2.5.1.5+svn4531+dfsg1-1) unstable; urgency=medium
* New upstream version 2.5.1.5+svn4531+dfsg1.
+ DEL to clear key bindings in the setup menu (Closes: #827118).
* Bump Build-Depends to the SDL2 versions of the libraries.
* Bump debhelper compat to 10.
* Enable all hardening flags.
* Remove reproducible-build.patch, applied upstream.
* Fix vcs-field-uses-insecure-uri lintian warnings.
* Bump Standards-Version to 4.1.2.
2016-01-24 - Fabian Greffrath <fabian@debian.org>
prboom-plus (2:2.5.1.5~svn4462+dfsg1-1) unstable; urgency=medium
* Imported Upstream version 2.5.1.5~svn4462+dfsg1
+ This includes the 2.5.1.4 upstream release (r4459).
* Restrict Build-Depends on libportmidi-dev to [linux-any].
* Refresh patches.
2015-11-30 - Fabian Greffrath <fabian@debian.org>
prboom-plus (2:2.5.1.4~svn4457+dfsg1-1) unstable; urgency=medium
* Imported Upstream version 2.5.1.4~svn4457+dfsg1
2015-10-28 - Fabian Greffrath <fabian@debian.org>
prboom-plus (2:2.5.1.4~svn4454+dfsg1-1) unstable; urgency=medium
* Imported Upstream version 2.5.1.4~svn4454+dfsg1
* Install bash-completion snippet.
* Remove debian/patches/remove_google_adsense.patch,
applied upstream.
2015-09-29 - Fabian Greffrath <fabian@debian.org>
prboom-plus (2:2.5.1.4~svn4444+dfsg1-1) unstable; urgency=medium
* Imported Upstream version 2.5.1.4~svn4444+dfsg1
* Replace obsolete upstream version number with the
Debian packaging version number.
* Install prboom-plus.desktop file and SVG icon provided by upstream.
* Drop Debian menu file and icons in PNG and XPM format.
2015-09-21 - Fabian Greffrath <fabian@debian.org>
prboom-plus (2:2.5.1.4~svn4433+dfsg1-1) unstable; urgency=medium
* New upstream SVN snapshot.
* Do not suggest soundfonts at all, leave this to libsdl-mixer1.2.
* Register as a handler for the application/x-doom-wad MIME type.
2015-08-27 - Fabian Greffrath <fabian@debian.org>
prboom-plus (2:2.5.1.4~svn4429+dfsg1-1) unstable; urgency=medium
* New upstream SVN snapshot.
* Update Uploaders field with my Debian account.
2015-05-07 - Fabian Greffrath <fabian+debian@greffrath.com>
prboom-plus (2:2.5.1.4~svn4425+dfsg1-2) unstable; urgency=medium
* Remove the transitional "prboom" package, add Breaks and Replaces
to "prboom-plus" accordingly.
* Remove virtual packages from Recommends, mention FreeDoom and
FreeDM in the extended package description.
* Turn debian/README.source into an actual shell script, turn the package
name into a variable.
* Update source location URI and Debian packaging copyright years in
debian/copyright.
* Remove menu entry for playing prboom-plus on a VC from
debian/prboom-plus.menu.
* Only install alternatives upon "abort-upgrade" or "configure" in
debian/prboom-plus.postinst/prerm and add some more cosmetic fixes.
* Remove obsolete forced xz compression of the Debian package.
2015-04-30 - Fabian Greffrath <fabian+debian@greffrath.com>
prboom-plus (2:2.5.1.4~svn4425+dfsg1-1) unstable; urgency=medium
* New upstream SVN snapshot.
* Remove CPP timestamps to make builds reproducible.
* Remove unused "Files:" paragraph from debian/copyright.
* Add doc-base registration.
* Bump Standards-Version to 3.9.6.
* Condense Debian-specific changes to the default configuration
into a single patch.
2014-10-23 - Fabian Greffrath <fabian+debian@greffrath.com>
prboom-plus (2:2.5.1.4~svn4403+dfsg1-1) unstable; urgency=medium
* New upstream SVN snapshot
from new upstream SVN repository.

See Also

Package Description
prboom-plus_2.5.1.5+svn4531+dfsg1-1_i386.deb enhanced clone of the classic first-person shooter Doom
prctl_1.6-1build1_i386.deb Process control operations
predict-gsat_2.2.3-4build2_i386.deb Graphical Satellite Tracking Client Program
predict_2.2.3-4build2_i386.deb Satellite Tracking Program with Optional Voice Output
predictnls_1.0.20-4_all.deb prediction and analysis of protein nuclear localization signals
predictprotein_1.1.07-3_all.deb suite of protein sequence analysis tools
prelink_0.0.20131005-1_i386.deb ELF prelinking utility to speed up dynamic linking
preload_0.6.4-2build1_i386.deb adaptive readahead daemon
prelude-correlator_4.1.1-2_all.deb Security Information and Events Management System [ Correlator ]
prelude-lml-rules_4.1.0-1_all.deb Security Information and Events Management System [ LML Rules ]
prelude-lml_4.1.0-1_i386.deb Security Information and Events Management System [ Log Agent ]
prelude-manager_4.1.1-2_i386.deb Security Information and Events Management System [ Manager ]
prelude-notify_0.9.1-1.1_all.deb Security Information Management System [ Desktop Notifier ]
prelude-utils_4.1.0-4_i386.deb Security Information and Events Management system [ Utils ]
preludedb-utils_4.1.0-1_i386.deb Security Information and Events Management System [ Library utils ]
Advertisement
Advertisement